import {
  faBookOpen,
  faCircleHalfStroke,
  faGlobe,
  faXmark,
} from "@fortawesome/pro-regular-svg-icons";
import { createSignal } from "solid-js";
import { A, useLocation, useNavigate } from "solid-start";
import { FontAwesomeIcon } from "../FontAwesomeIcon";

export const [lightMode, setLightMode] = createSignal(false);
const [menu, setMenu] = createSignal(false);

function Navbar() {
  const navigate = useNavigate();
  const location = useLocation();
  return (
    <>
      <div id="navbar" style={{ visibility: menu() ? "visible" : "hidden" }}>
        <A href="/en/">
          <FontAwesomeIcon icon={faBookOpen} /> Introduction
        </A>

        <A href="/en/overview">
          <FontAwesomeIcon icon={faBookOpen} /> Start
        </A>
        <ol>
          <li>
            <A href="/en/overview#start">What are EUCs?</A>
          </li>
          <li>
            <A href="/en/overview#why">Why EUCs?</A>
          </li>
          <li>
            <A href="/en/overview#funktion">Functionality</A>
          </li>
          <li>
            <A href="/en/overview#begriffe">Glossarry</A>
          </li>
          <li>
            <A href="/en/overview#sicherheit">Safety</A>
          </li>
          <li>
            <A href="/en/overview#ausrüstung">Gear</A>
          </li>
          <li>
            <A href="/en/overview#cutout">Cut-out's</A>
          </li>
          <li>
            <A href="/en/overview#akkuss">Battery safety</A>
          </li>
          <li>
            <A href="/en/overview#fahrweise">Ride style</A>
          </li>
          <li>
            <A href="/en/overview#wobbles">Wobbles</A>
          </li>
          <li>
            <A href="/en/overview#leistung">Performance</A>
          </li>
          <li>
            <A href="/en/overview#federung">Suspension</A>
          </li>
          <li>
            <A href="/en/overview#reifen">Tires</A>
          </li>
          <li>
            <A href="/en/overview#historie">History</A>
          </li>
          <li>
            <A href="/en/overview#geräte">Device list</A>
          </li>
        </ol>

        <A href="/en/manufacturers">
          <FontAwesomeIcon icon={faBookOpen} /> Manufacturers
        </A>

        <button onClick={() => setLightMode((e) => !e)}>
          {lightMode() ? "Dark Mode " : "Light Mode "}
          <FontAwesomeIcon icon={faCircleHalfStroke} />
        </button>
        <button
          onClick={() => {
            navigate("/de" + location.pathname.slice(3), { scroll: false });
            setMenu(false);
          }}
        >
          Deutsch <FontAwesomeIcon icon={faGlobe} />
        </button>
        <button onClick={() => setMenu(false)}>
          Close <FontAwesomeIcon icon={faXmark} />
        </button>
      </div>

      <div
        id="sidenavbar"
        style={{ visibility: menu() ? "hidden" : "visible" }}
      >
        <button onClick={() => navigate(-1)}>Back</button>
        <button onClick={() => navigate("/en/overview")}>Start</button>
        <button onClick={() => setMenu(true)}>Menu</button>
      </div>
    </>
  );
}

export default Navbar;
