import { faYoutube } from "@fortawesome/free-brands-svg-icons";
import { faBookOpen, faGlobe } from "@fortawesome/pro-regular-svg-icons";
import { A, Body, Link, Title } from "solid-start";
import { FontAwesomeIcon } from "~/components/FontAwesomeIcon";
import { lightMode } from "~/components/de/Navbar";

function Introduction() {
  return (
    <Body classList={{ "light-mode": lightMode() }}>
      <Title>Einführung</Title>
      <Link rel="stylesheet" href="/styles/start.css" />

      <div class="container">
        <img id="cover" src="/images/Gear3.webp" />
        <div class="centered">
          <h1>Bock auf was Neues?</h1>
        </div>
      </div>

      <h1 id="gone">Bock auf was Neues?</h1>

      <p>
        Flexible - Modern - schneller als die Polizei erlaubt. Das sind moderne
        eletrische Einräder.
      </p>
      <div class="righties">
        <img src="/images/ShermanStanding.jpg" />
      </div>

      <p>
        Von 0 auf 50kmh in 3s, 100kmh top Geschwindigkeit und 230km Reichweite
        machen aus diesen Geräten den ultimativen Sport.
      </p>
      <div class="righties">
        <img src="/images/UltimativeSport.jpg" />
      </div>

      <p>
        Gleichzeitig 50° steile Wände hochfahren und MTB Trails mit leichtigkeit
        nehmen.
      </p>
      <div class="righties">
        <video width="auto" height="auto" autoplay muted loop>
          <source src="/videos/MTBtrailsEase.mp4" type="video/mp4" />
        </video>
      </div>

      <p>Jeden Weg nutzen und nie wieder im Verkehr stecken.</p>
      <div class="righties">
        <video width="auto" height="auto" autoplay muted loop>
          <source src="/videos/traffic.mp4" type="video/mp4" />
        </video>
      </div>

      <p>Und trotzdem leicht zu transportiren und untern Tisch zu packen.</p>
      <div class="righties">
        <img src="/images/KidsKS16X.jpg" />
      </div>

      <p>Interessiert? Dann tauche in die Welt der PEV's und EUC's ein:</p>

      <A href="/de/overview">
        <div id="MoreButton">
          <p>
            Ich will alles darüber lesen! <FontAwesomeIcon icon={faBookOpen} />
          </p>
        </div>
      </A>

      <A href="https:/youtube.com/playlist?list=PLfoxTRt1qLuAg-Al9JNHrl_7KVl-uSxwV">
        <div id="MoreButton">
          <p>
            Mir reichen Videos <FontAwesomeIcon icon={faYoutube} />
          </p>
        </div>
      </A>

      <A href="/en/">
        <div id="MoreButton">
          <p>
            Switch to English <FontAwesomeIcon icon={faGlobe} />
          </p>
        </div>
      </A>
    </Body>
  );
}

export default Introduction;
