import { faYoutube } from "@fortawesome/free-brands-svg-icons";
import { faBookOpen, faGlobe } from "@fortawesome/pro-regular-svg-icons";
import { A, Body, Link, Title } from "solid-start";
import { FontAwesomeIcon } from "~/components/FontAwesomeIcon";
import { lightMode } from "~/components/en/Navbar";

function Introduction() {
  return (
    <Body classList={{ "light-mode": lightMode() }}>
      <Title>Introduction</Title>
      <Link rel="stylesheet" href="/styles/start.css" />

      <div class="container">
        <img id="cover" src="/images/Gear3.webp" />
        <div class="centered">
          <h1>Wanna try something new?</h1>
        </div>
      </div>

      <h1 id="gone">Wanna try something new?</h1>

      <p>
        Flexible - Modern - Faster then law it self. These are modern electric
        unicycles:
      </p>

      <div class="righties">
        <img src="/images/ShermanStanding.jpg" />
      </div>

      <p>
        From 0 auf 50kmh in 3s, 100kmh top speed and 230km range make these
        devices the ultimate sport.
      </p>

      <div class="righties">
        <img src="/images/UltimativeSport.jpg" />
      </div>

      <p>Meanwhile climbing 50° steep walls and taking MTB trails with ease.</p>

      <div class="righties">
        <video width="auto" height="auto" autoplay muted loop>
          <source src="/videos/MTBtrailsEase.mp4" type="video/mp4" />
        </video>
      </div>

      <p>Taking every path and never get stuck in traffic again.</p>

      <div class="righties">
        <video width="auto" height="auto" autoplay muted loop>
          <source src="/videos/traffic.mp4" type="video/mp4" />
        </video>
      </div>

      <p>But still being easy to carry and store just under your desk.</p>

      <div class="righties">
        <img src="/images/KidsKS16X.jpg" />
      </div>

      <p>Interested? Then take a deep dive into PEV's and EUC's:</p>

      <A href="/en/overview">
        <div id="MoreButton">
          <p>
            I want to read everything about it!{" "}
            <FontAwesomeIcon icon={faBookOpen} />
          </p>
        </div>
      </A>

      <A href="https:/youtube.com/playlist?list=PLfoxTRt1qLuAg-Al9JNHrl_7KVl-uSxwV">
        <div id="MoreButton">
          <p>
            Na, videos are just fine <FontAwesomeIcon icon={faYoutube} />
          </p>
        </div>
      </A>

      <A href="/de/">
        <div id="MoreButton">
          <p>
            Wechsel zu Deutsch <FontAwesomeIcon icon={faGlobe} />
          </p>
        </div>
      </A>
    </Body>
  );
}

export default Introduction;
